Mail archive
alpine-aports

[alpine-aports] [PATCH] main/zeromq: rebuild against new libsodium

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Sat, 7 Nov 2015 00:58:08 +0200

---
 main/zeromq/APKBUILD               | 22 ++++++++++++----------
 main/zeromq/configure_werror.patch | 11 +++++++++++
 2 files changed, 23 insertions(+), 10 deletions(-)
 create mode 100644 main/zeromq/configure_werror.patch
diff --git a/main/zeromq/APKBUILD b/main/zeromq/APKBUILD
index 5384122..b18b5cd 100644
--- a/main/zeromq/APKBUILD
+++ b/main/zeromq/APKBUILD
_at_@ -1,8 +1,8 @@
-# Contributor: Natanael Copa <ncopa_at_alpinelinux.org>
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=zeromq
 pkgver=4.1.3
-pkgrel=0
+pkgrel=1
 pkgdesc="The ZeroMQ messaging library and tools"
 url="http://www.zeromq.org/"
 arch="all"
_at_@ -12,7 +12,8 @@ makedepends="util-linux-dev libsodium-dev perl python asciidoc xmlto
 	autoconf automake"
 install=
 subpackages="$pkgname-dev $pkgname-doc libzmq"
-source="http://download.zeromq.org/zeromq-$pkgver.tar.gz"
+source="http://download.zeromq.org/zeromq-$pkgver.tar.gz
+	configure_werror.patch"
 
 _builddir="$srcdir"/$pkgname-$pkgver
 prepare() {
_at_@ -28,8 +29,6 @@ prepare() {
 build() {
 	cd "$_builddir"
 	./configure \
-		--build=$CBUILD \
-		--host=$CHOST \
 		--prefix=/usr \
 		--sysconfdir=/etc \
 		--mandir=/usr/share/man \
_at_@ -41,15 +40,18 @@ build() {
 
 package() {
 	cd "$_builddir"
-	make DESTDIR="$pkgdir" install
+	make DESTDIR="$pkgdir" install || return 1
 }
 
 libzmq() {
 	pkgdesc="The ZeroMQ messaging library"
-	mkdir -p "$subpkgdir"/usr/lib
+	install -d "$subpkgdir"/usr/lib
 	mv "$pkgdir"/usr/lib/libzmq.so.* "$subpkgdir"/usr/lib/
 }
 
-md5sums="d0824317348cfb44b8692e19cc73dc3a  zeromq-4.1.3.tar.gz"
-sha256sums="61b31c830db377777e417235a24d3660a4bcc3f40d303ee58df082fcd68bf411  zeromq-4.1.3.tar.gz"
-sha512sums="2c993d18ea44e1cba890e024176af65b85b842ca4f8a22d319be4ace8388ab8828dd706b065f02754025bf271b1d7aa878c3f6655878248f7826452cb2a6134c  zeromq-4.1.3.tar.gz"
+md5sums="d0824317348cfb44b8692e19cc73dc3a  zeromq-4.1.3.tar.gz
+ba9f21b1f1b480ebf98969ad6f91da79  configure_werror.patch"
+sha256sums="61b31c830db377777e417235a24d3660a4bcc3f40d303ee58df082fcd68bf411  zeromq-4.1.3.tar.gz
+f802dc9217c9d3a4b756b4b5d3fd4cf2e59accecf154bf96955ab504298cde3a  configure_werror.patch"
+sha512sums="2c993d18ea44e1cba890e024176af65b85b842ca4f8a22d319be4ace8388ab8828dd706b065f02754025bf271b1d7aa878c3f6655878248f7826452cb2a6134c  zeromq-4.1.3.tar.gz
+baef095918e817f6bf7c267307e67dcd97c8ab568705f02d7a863a9ffe006acd9cc2aac238ac25cc2fdf787caf9d09f95109b8c368e1ad347a8a935ccc124549  configure_werror.patch"
diff --git a/main/zeromq/configure_werror.patch b/main/zeromq/configure_werror.patch
new file mode 100644
index 0000000..189d49b
--- /dev/null
+++ b/main/zeromq/configure_werror.patch
_at_@ -0,0 +1,11 @@
+--- old/configure	2015-08-17 13:49:50.000000000 +0300
++++ new/configure	2015-11-07 00:38:52.426666674 +0200
+_at_@ -17086,7 +17086,7 @@
+ 
+ 
+ # By default compiling with -Werror except OSX.
+-libzmq_werror="yes"
++libzmq_werror="no"
+ 
+ # By default use DSO visibility
+ libzmq_dso_visibility="yes"
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Nov 07 2015 - 00:58:08 GMT